package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 流程子库关联表
 * @TableName ks_system_flow_base_relation
 */
@TableName(value ="ks_system_flow_base_relation")
@Data
public class SystemFlowBaseRelation implements Serializable {
    /**
     * 主键id
     */
    @TableId
    private String id;

    /**
     * 流程id 关联ks_system_flow表的id
     */
    private String flowId;

    /**
     * 应用子库id 关联ks_system_base_info中的id
     */
    private String baseId;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}